## org.junit.validator
Class PublicClassValidator

    java.lang.Object
      org.junit.validator.PublicClassValidator

All Implemented Interfaces:
  TestClassValidator

    public class PublicClassValidator

extends Object
implements TestClassValidator

Validates that a `TestClass` is public.

Since:
  4.12

Constructor Summary
`PublicClassValidator()`

Method Summary
`List<Exception>` `validateTestClass(TestClass testClass)` Validate that the specified `TestClass` is public.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicClassValidator

    public PublicClassValidator()

Method Detail

### validateTestClass

    public List<Exception> validateTestClass(TestClass testClass)

  Validate that the specified `TestClass` is public.

  Specified by:
    `validateTestClass` in interface `TestClassValidator`
  Parameters:
    `testClass` - the `TestClass` that is validated.
  Returns:
    an empty list if the class is public or a list with a single exception otherwise.

Copyright © 2002–2020 JUnit. All rights reserved.